python-imaging_3.1.2-0ubuntu1_all.deb


Advertisement

Description

python-imaging - Python Imaging Library compatibility layer

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-imaging
Package version: 3.1.2
Package release: 0ubuntu1
Package architecture: all
Package type: deb
Installed size: 79 B
Download size: 4.37 KB
Official Mirror: archive.ubuntu.com
PIL used to provide a PIL.pth file which allowed you to `import Image` but this is deprecated. Use `from PIL import Image` now, or install this compatibility package to temporarily get the old behavior back. This compatibility package is built for Python 2 only.

Alternatives

Conflicts

  • python-imaging-compat << 1.1.7+2.0.0-1.1

Replaces

  • python-imaging-compat << 1.1.7+2.0.0-1.1

    Download

    Source package: pillow

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-imaging deb package:
      # sudo apt-get install python-imaging

    Files

    • /usr/lib/python2.7/dist-packages/PILcompat.pth
    • /usr/lib/python2.7/dist-packages/PILcompat/Image.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageChops.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageColor.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageCrackCode.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageDraw.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageEnhance.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageFile.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageFileIO.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageFilter.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageFont.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageGL.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageGrab.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageMath.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageOps.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImagePalette.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImagePath.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageQt.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageSequence.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageStat.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageTk.py
    • /usr/lib/python2.7/dist-packages/PILcompat/ImageWin.py
    • /usr/lib/python2.7/dist-packages/PILcompat/PSDraw.py
    • /usr/lib/python2.7/dist-packages/PILcompat/PngImagePlugin.py
    • /usr/share/doc/python-imaging/changelog.Debian.gz
    • /usr/share/doc/python-imaging/copyright

    Changelog

    2016-04-16 - Matthias Klose <doko@ubuntu.com> pillow (3.1.2-0ubuntu1) xenial; urgency=medium * Pillow 3.1.2 release. - CVE-2016-3076; Fix an integer overflow in Jpeg2KEncode.c causing a buffer overflow.

    2016-02-10 - Matthias Klose <doko@debian.org> pillow (3.1.1-1) unstable; urgency=medium * Pillow 3.1.1 release. - CVE-2016-0740: Fix buffer overflow in TiffDecode.c. Closes: #813905. - CVE-2016-0775: Fix buffer overflow in FliDecode.c. Closes: #813909.

    2016-01-19 - Matthias Klose <doko@debian.org> pillow (3.1.0-1) unstable; urgency=medium * Pillow 3.1.0 release. * Breaks rapid-photo-downloader (<< 0.4.11). Closes: #806976. * Breaks tilestache (<< 1.49.8-3). Closes: #808238. * Install upstream changelog. Closes: #805694.

    2015-11-30 - Matthias Klose <doko@debian.org> pillow (3.0.0-1) unstable; urgency=medium * Pillow 3.0.0 release.

    2015-08-12 - Matthias Klose <doko@debian.org> pillow (2.9.0-1) unstable; urgency=medium * Pillow 2.9.0 release. * d/rules: Don't add $DEB_HOST_MULTIARCH to SOABI for Python 3.5 since it's already included there. Closes: #790085.

    2015-06-01 - Matthias Klose <doko@debian.org> pillow (2.8.1-1) unstable; urgency=medium * Pillow 2.8.1 release.

    2015-02-26 - Matthias Klose <doko@debian.org> pillow (2.7.0-1) experimental; urgency=medium * Pillow 2.7.0 release. * Stop building the sane package, not built anymore from this source. * Disable running the tests in debug mode for now, hangs the build.

    2014-10-13 - Matthias Klose <doko@debian.org> pillow (2.6.1-1) unstable; urgency=medium * Pillow 2.6.1 release. * Update jpeg build dependency. Closes: #763491.

    2014-10-02 - Matthias Klose <doko@debian.org> pillow (2.6.0-1) unstable; urgency=medium * Pillow 2.6.0 release. * Add test images missing in the release.

    2014-09-30 - Matthias Klose <doko@debian.org> pillow (2.6.0~rc1-1) unstable; urgency=medium * Pillow 2.6.0 release candidate 1. - Provides distributable test image files. Closes: #760171. - Fix comparing an Image to anything that's not an image. Closes: #758927.

    Advertisement
    Advertisement